List teams
curl --request GET \
--url https://api.getmonitor.io/api/v1/organizations/{orgId}/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmonitor.io/api/v1/organizations/{orgId}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "default-5cd6ee4402914945b76d08f7cb8389ac",
"name": "Everybody",
"description": null,
"createdAt": "2026-06-23T21:54:52.691Z",
"members": [
{
"id": "ck3gesswj7zyl4fiz3t92f0y",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"user": {
"id": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"name": "Jane Doe",
"email": "user1@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2025-08-23T01:53:59.268Z",
"updatedAt": "2026-08-04T14:43:08.383Z"
}
},
{
"id": "meqds4y0611bdvo3vfj3yp1n",
"userId": "aAYL0UZcoXeH0oFE1Xt7z6nHcIpmQqyE",
"user": {
"id": "aAYL0UZcoXeH0oFE1Xt7z6nHcIpmQqyE",
"name": "John Smith",
"email": "user2@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2026-09-09T12:41:28.786Z",
"updatedAt": "2026-09-09T12:41:28.786Z"
}
}
]
},
{
"id": "cwdzilli8cphkpwmuf8qv8js",
"name": "Second",
"description": null,
"createdAt": "2026-06-29T23:35:49.101Z",
"members": [
{
"id": "h56sa5f3zcvohoi5rntexjlo",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"user": {
"id": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"name": "Jane Doe",
"email": "user1@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2025-08-23T01:53:59.268Z",
"updatedAt": "2026-08-04T14:43:08.383Z"
}
},
{
"id": "miy9j7ecg3jhljkxjj3bacdi",
"userId": "56FfaMU61zjnIdvXOUTjOtCWT3RrToAy",
"user": {
"id": "56FfaMU61zjnIdvXOUTjOtCWT3RrToAy",
"name": "Alex Kim",
"email": "user3@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2026-05-10T20:16:37.776Z",
"updatedAt": "2026-08-04T14:43:40.911Z"
}
}
]
}
]{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}Organizations
List teams
Lists teams with their members.
Authentication: User session only (the panel). API keys receive 401.
GET
/
api
/
v1
/
organizations
/
{orgId}
/
teams
List teams
curl --request GET \
--url https://api.getmonitor.io/api/v1/organizations/{orgId}/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmonitor.io/api/v1/organizations/{orgId}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "default-5cd6ee4402914945b76d08f7cb8389ac",
"name": "Everybody",
"description": null,
"createdAt": "2026-06-23T21:54:52.691Z",
"members": [
{
"id": "ck3gesswj7zyl4fiz3t92f0y",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"user": {
"id": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"name": "Jane Doe",
"email": "user1@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2025-08-23T01:53:59.268Z",
"updatedAt": "2026-08-04T14:43:08.383Z"
}
},
{
"id": "meqds4y0611bdvo3vfj3yp1n",
"userId": "aAYL0UZcoXeH0oFE1Xt7z6nHcIpmQqyE",
"user": {
"id": "aAYL0UZcoXeH0oFE1Xt7z6nHcIpmQqyE",
"name": "John Smith",
"email": "user2@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2026-09-09T12:41:28.786Z",
"updatedAt": "2026-09-09T12:41:28.786Z"
}
}
]
},
{
"id": "cwdzilli8cphkpwmuf8qv8js",
"name": "Second",
"description": null,
"createdAt": "2026-06-29T23:35:49.101Z",
"members": [
{
"id": "h56sa5f3zcvohoi5rntexjlo",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"user": {
"id": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"name": "Jane Doe",
"email": "user1@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2025-08-23T01:53:59.268Z",
"updatedAt": "2026-08-04T14:43:08.383Z"
}
},
{
"id": "miy9j7ecg3jhljkxjj3bacdi",
"userId": "56FfaMU61zjnIdvXOUTjOtCWT3RrToAy",
"user": {
"id": "56FfaMU61zjnIdvXOUTjOtCWT3RrToAy",
"name": "Alex Kim",
"email": "user3@example.com",
"image": "https://img.static.getmonitor.io/profile/example.png",
"emailVerified": true,
"createdAt": "2026-05-10T20:16:37.776Z",
"updatedAt": "2026-08-04T14:43:40.911Z"
}
}
]
}
]{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}